=== modified file 'lib/canonical/launchpad/components/externalbugtracker/trac.py'
--- lib/canonical/launchpad/components/externalbugtracker/trac.py	2008-04-16 11:53:51 +0000
+++ lib/canonical/launchpad/components/externalbugtracker/trac.py	2008-04-16 12:17:24 +0000
@@ -251,19 +251,7 @@
         time_snapshot, modified_bugs = server.launchpad.bug_info(
             0, criteria)
 
-        bug_ids_to_return = []
-        for bug in modified_bugs:
-            # If we asked for a bug that doesn't exist on the remote
-            # server, the remote server will return it with a status of
-            # 'missing'. We ignore these since we can't do anything with
-            # them.
-            if 'status' in bug and bug['status'] == 'missing':
-                continue
-            else:
-                bug_ids_to_return.append(bug['id'])
-
-        return bug_ids_to_return
-
+        return [bug['id'] for bug in modified_bugs]
 
 class TracXMLRPCTransport(xmlrpclib.Transport):
 

=== modified file 'lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt'
--- lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt	2008-04-16 11:53:51 +0000
+++ lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt	2008-04-16 12:17:24 +0000
@@ -131,12 +131,13 @@
     ...     bug_ids_to_check, last_checked)
     []
 
-If we ask for bug ids that don't exist on the remote server, they won't
-be returned.
+If we ask for bug ids that don't exist on the remote server, they will
+also be returned. This is so that when we try to retrieve the status of
+the missing bugs an error will be raised that we can then investigate.
 
     >>> bug_ids_to_check = ['1', '2', '3', '99', '100']
     >>> last_checked = datetime(2008, 1, 1, 0, 0, 0)
     >>> sorted(trac.getModifiedRemoteBugs(
     ...     bug_ids_to_check, last_checked))
-    ['1', '3']
+    ['1', '100', '3', '99']
 

